Return all available shipping options for the specified cart
curl --request POST \
--url https://{globale_api_domain}/Browsing/ShippingOptionsimport requests
url = "https://{globale_api_domain}/Browsing/ShippingOptions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Browsing/ShippingOptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"CheckoutShippingOption": [
{
"DeliveryDaysFrom": 123,
"DeliveryDaysTo": 123,
"ForceDDP": 0,
"Price": 123,
"PriceBeforeDiscount": 123,
"ShippingMethodId": "<string>",
"ShippingMethodTypeName": "<string>",
"SupportsDDP": true
}
]
}Shipping Options (Merchant to Global-e)
Returns all available shipping options for a cart, specified by cartToken or by full checkoutCartInfo details.
POST
/
Browsing
/
ShippingOptions
Return all available shipping options for the specified cart
Returns all available shipping options for the cart information specified either by
cartToken or by including all the relevant checkoutCartInfo details.Query Parameters
Merchants who implement API checkout only, may specify the Cart token returned by the SendCart method preceding the current method call. In this case, all other arguments will be ignored and the information stored in the respective Cart will be used instead. Either cartToken or checkoutCartInfo must be specified.
Full cart information. Either cartToken or checkoutCartInfo must be specified.
Show child attributes
Show child attributes
Response
200 - application/json
List of shipping options.
List of shipping options
Show child attributes
Show child attributes

